import { HttpBackend, HttpClient, HttpEvent, HttpHandler, HttpInterceptor, HttpRequest } from '@angular/common/http';
import { InjectionToken, Injector } from '@angular/core';
import { Observable } from 'rxjs';
import { ICbmSalesOrderModuleConfig } from './sales-order.module';
import { Router } from '@angular/router';
import * as i0 from "@angular/core";
export declare const SALES_ORDER_HTTP_INTERCEPTORS: InjectionToken<HttpInterceptor[]>;
export declare class SalesOrderHttpService extends HttpClient {
    private injector;
    constructor(backend: HttpBackend, injector: Injector);
    static ɵfac: i0.ɵɵFactoryDeclaration<SalesOrderHttpService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<SalesOrderHttpService>;
}
export declare class SalesOrderAuthInterceptor implements HttpInterceptor {
    private moduleConfig;
    private router;
    constructor(moduleConfig: ICbmSalesOrderModuleConfig, router: Router);
    intercept(req: HttpRequest<any>, next: HttpHandler): Observable<HttpEvent<any>>;
    static ɵfac: i0.ɵɵFactoryDeclaration<SalesOrderAuthInterceptor, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<SalesOrderAuthInterceptor>;
}
