import { InjectionToken, ModuleWithProviders } from '@angular/core';
import * as i0 from "@angular/core";
import * as i1 from "@angular/common/http";
export interface ICbmSalesOrderModuleConfig {
    baseUrl: string;
}
export declare const SALES_ORDER_MODULE_CONFIG: InjectionToken<ICbmSalesOrderModuleConfig>;
export declare class CbmSalesOrderModule {
    static forRoot(config: ICbmSalesOrderModuleConfig): ModuleWithProviders<CbmSalesOrderModule>;
    static ɵfac: i0.ɵɵFactoryDeclaration<CbmSalesOrderModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<CbmSalesOrderModule, never, [typeof i1.HttpClientModule], never>;
    static ɵinj: i0.ɵɵInjectorDeclaration<CbmSalesOrderModule>;
}
